# Graph Neural Networks in TensorFlow: A Practical Guide
<center>NeurIPS'22 Tutorial</center>

<center> https://neurips.cc/Expo/Conferences/2022/workshop/63090 </center>

### Abstract

Graphs are general data structures that can represent information from a variety
of domains (social, biomedical, online transactions, and many more). Graph
Neural Networks (GNNs) are quickly becoming the de-facto Machine Learning models
for learning from graph data and hereby infer missing information, such as,
predicting labels of nodes or imputing missing edges. The main goal of this
tutorial is to help practitioners and researchers to implement GNNs in a
TensorFlow setting. Specifically, the tutorial will be mostly hands-on, and will
walk the audience through a process of running existing GNNs on heterogeneous
graph data, and a tour of how to implement new GNN models. The hands-on portion
of the tutorial will be based on TF-GNN.

### Schedule

| Time (CST)  | Speaker            | Style    | Topic  |
| ----------: |:---------------:   | :-----:  | :----- |
| 9:30        | Bryan Perozzi      | slides   | **Introduction:** Welcome and introduction. |
| 9:40        | Sami Abu-El-Haija  | slides   | **Background:** Recap of Graph Neural Networks (GNNs) and problems they solve.  |
| 10:00       | Sami Abu-El-Haija  | hands-on | **Tutorial 1:** Running TF-GNN on one machine. |
| 10:20       |                    |          | **Break**  |
| 10:30       | Neslihan Bulut     | slides   | **Modeling Guide**: Building blocks and modeling guidelines for crafting advanced custom GNN architectures. |
| 10:50       | Neslihan Bulut     | hands-on | **Tutorial 2:** Implementing custom models, using TF-GNN’s modeling building blocks. |
| 11:20       |                    |          | **Break**  |
| 11:30       | Brandon Mayer      | slides   | **Run at scale:** Challenges and solutions for running-at-scale |
| 11:50       | Brandon Mayer      | hands-on | **Tutorial 3:** Running TF-GNN at industry scale over large graphs. |

### Material
